Page MenuHomePhabricator

largefiles: force an on-disk merge
ClosedPublic

Authored by phillco on Sep 11 2017, 4:25 PM.

Details

Summary

Largefiles isn't a good candidate for in-memory merge (it uses a custom
dirstate, matcher, and the files might not fit in memory) so have it always
run an old-style merge.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

phillco created this revision.Sep 11 2017, 4:25 PM
durham accepted this revision.Sep 15 2017, 11:56 AM
martinvonz accepted this revision.Sep 22 2017, 2:09 PM
This revision is now accepted and ready to land.Sep 22 2017, 2:09 PM
This revision was automatically updated to reflect the committed changes.